package com.ruoyi.web.yh.reportUserProd.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @author wjh
 * 2024/11/2
 */
@Data
public class ReportUserProdVO extends ReportUserProd {

    @ApiModelProperty("用户名称")
    private String userName;

    @ApiModelProperty("报表日期")
    private LocalDate reportDate;

    @ApiModelProperty("报表状态")
    private String reportStatus;

    @ApiModelProperty("工序名称")
    private String priceName;

    @ApiModelProperty("工序单位")
    private String priceUnit;

    @ApiModelProperty("工序单价")
    private BigDecimal pricePrice;

    @ApiModelProperty("报表ID")
    private Long reportId;
}
