package com.ruoyi.web.yh.logImport.domain;

import java.time.LocalDateTime;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 导入日志对象 bst_log_import
 *
 * @author ruoyi
 * @date 2024-11-07
 */
@Data
public class LogImport extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long logId;

    @Excel(name = "状态", readConverterExp = "1=处理中,2=处理完成")
    @ApiModelProperty("状态")
    private String status;

    @Excel(name = "业务类型", readConverterExp = "1=单价")
    @ApiModelProperty("业务类型")
    private String bizType;

    @Excel(name = "创建人ID")
    @ApiModelProperty("创建人ID")
    private Long createId;

    @Excel(name = "完成时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("完成时间")
    private LocalDateTime finishedTime;

}
