package com.ruoyi.web.yh.reportProd.service;

import com.ruoyi.web.yh.reportProd.domain.ReportProdVO;
import com.ruoyi.web.yh.reportProd.domain.bo.ReportProdBO;

/**
 * @author wjh
 * 2024/11/2
 */
public interface ReportProdConverter {

    /**
     * 新增时，VO转为BO
     * @param vo
     * @return
     */
    ReportProdBO toBoByCreate(ReportProdVO vo);

    /**
     * 更新时，VO 转 BO
     * @param vo
     * @return
     */
    ReportProdBO toBoByUpdate(ReportProdVO vo);
}
